JUCE: AccessibilityTextInterface Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AccessibilityTextInterface Class Referenceabstract
juce_gui_basics » accessibility

An abstract interface which represents a UI element that supports a text interface. More...

`#include <juce_AccessibilityTextInterface.h>`

## Public Member Functions
virtual | ~AccessibilityTextInterface ()=default
| Destructor.
virtual bool | isDisplayingProtectedText () const =0
| Returns true if the text being displayed is protected and should not be exposed to the user, for example a password entry field.
virtual bool | isReadOnly () const =0
| Returns true if the text being displayed is read-only or false if editable.
virtual int | getTotalNumCharacters () const =0
| Returns the total number of characters in the text element.
virtual Range< int > | getSelection () const =0
| Returns the range of characters that are currently selected, or an empty range if nothing is selected.
virtual void | setSelection (Range< int > newRange)=0
| Selects a section of the text.
virtual int | getTextInsertionOffset () const =0
| Gets the current text insertion position, if supported.
virtual String | getText (Range< int > range) const =0
| Returns a section of text.
String | getAllText () const
| Returns the full text.
virtual void | setText (const String &newText)=0
| Replaces the text with a new string.
virtual RectangleList< int > | getTextBounds (Range< int > textRange) const =0
| Returns the bounding box in screen coordinates for a range of text.
virtual int | getOffsetAtPoint (Point< int > point) const =0
| Returns the index of the character at a given position in screen coordinates.

## Detailed Description

An abstract interface which represents a UI element that supports a text interface.

A UI element can use this interface to provide extended textual information which cannot be conveyed using just the title, description, and help text properties of AccessibilityHandler. This is typically for text that an accessibility client might want to read line-by-line, or provide text selection and input for.

## Constructor & Destructor Documentation

## ◆ ~AccessibilityTextInterface()

virtual AccessibilityTextInterface::~AccessibilityTextInterface | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ isDisplayingProtectedText()

virtual bool AccessibilityTextInterface::isDisplayingProtectedText | ( |  | ) | const
| pure virtual

Returns true if the text being displayed is protected and should not be exposed to the user, for example a password entry field.

## ◆ isReadOnly()

virtual bool AccessibilityTextInterface::isReadOnly | ( |  | ) | const
| pure virtual

Returns true if the text being displayed is read-only or false if editable.

## ◆ getTotalNumCharacters()

virtual int AccessibilityTextInterface::getTotalNumCharacters | ( |  | ) | const
| pure virtual

Returns the total number of characters in the text element.

## ◆ getSelection()

virtual Range< int > AccessibilityTextInterface::getSelection | ( |  | ) | const
| pure virtual

Returns the range of characters that are currently selected, or an empty range if nothing is selected.

## ◆ setSelection()

virtual void AccessibilityTextInterface::setSelection | ( | Range< int > | newRange | ) |
| pure virtual

Selects a section of the text.

## ◆ getTextInsertionOffset()

virtual int AccessibilityTextInterface::getTextInsertionOffset | ( |  | ) | const
| pure virtual

Gets the current text insertion position, if supported.

## ◆ getText()

virtual String AccessibilityTextInterface::getText | ( | Range< int > | range | ) | const
| pure virtual

Returns a section of text.

## ◆ getAllText()

String AccessibilityTextInterface::getAllText | ( |  | ) | const

Returns the full text.

## ◆ setText()

virtual void AccessibilityTextInterface::setText | ( | const String & | newText | ) |
| pure virtual

Replaces the text with a new string.

## ◆ getTextBounds()

virtual RectangleList< int > AccessibilityTextInterface::getTextBounds | ( | Range< int > | textRange | ) | const
| pure virtual

Returns the bounding box in screen coordinates for a range of text.

As the range may span multiple lines, this method returns a RectangleList.

## ◆ getOffsetAtPoint()

virtual int AccessibilityTextInterface::getOffsetAtPoint | ( | Point< int > | point | ) | const
| pure virtual

Returns the index of the character at a given position in screen coordinates.

The documentation for this class was generated from the following file:

- juce_AccessibilityTextInterface.h